One := TRDmake_upops_from_polynomial(1);

Zero := TRDmake_upops_from_polynomial(0);

FromPolynomial := proc(f::polynom)
    return TRDmake_upops_from_polynomial(f)
end;

FromArrayOfPowerSeries := proc(a::Array)
    return TRDmake_upops_from_array(a);
end;

FromListOfPolynomials := proc(l::list)
    return TRDmake_upops_from_list(l);
end;

ComputedTerms := proc(upops::table)
    return TRDdisplay(upops);
end proc;

MainDegree := proc(upops::table)
     return TRDdegree(upops);
end proc;

MainCoefficients := proc(upops::table)
     return TRDdata(upops);
end proc;

PolynomialPart := proc(s::table, d::integer)
    TRDpolynomial_part(s,d);
end proc;

WeierstrassPreparation := proc(upops::table, r::integer)
    return TRDweierstrass_preparation(upops, r);
end proc;

Add := proc(s1::table, s2::table)
    TRDsum(s1, s2);
end proc;

Subtract := proc(s1::table, s2::table)
    TRDsub(s1, s2);
end proc;

Multiply := proc(s1::table, s2::table)
    TRDproduct(s1, s2);
end proc;
