kernelopts(opaquemodules = false):

PowerSeries := proc(vars::list)
    uses RegularChains;
    local R := PolynomialRing(vars);

    module()
	option package;

    export One, Zero, PolynomialToPowerSeries, HomogeneousPartFunctionToPowerSeries, GeometricSeries, SumOfALLMonomials, Coefficient, ComputedTerms, HomogeneousPartFunction, Add, Subtract, Multiply, HomegeneousPart, PolynomialPart, ExactQuotient, IsUnit, Inverse;

    local TRD_polynomial_coefficient, TRDterm, TRDterms, TRDhomogeneous_part_of_polynomial, TRDtruncate_polynomial, TRDmake_power_series, TRDrename_power_series, TRDone, TRDzero, TRDpoly, TRDhomogeneous_part_func, TRDdisplay, TRDpower_series_coefficient, TRDgeometric_series, TRDsum_of_all_monomials, TRDsum, TRDsub, TRDproduct, TRDhomogeneous_part, TRDpolynomial_part, TRDexact_quotient;

$include <polynomialroutines.mpl>
$include <PS_createpowerseries.mpl>
$include <PS_arithmeticoperations.mpl>
$include <PS_userinterface.mpl>
    end module;
end proc;

UnivariatePolynomialOverPowerSeries := proc(vars::list, Y:: symbol)
    local PS := PowerSeries(vars);

    module()
	option package;

    export One, Zero, FromPolynomial, FromArrayOfPowerSeries, FromListOfPolynomials, ComputedTerms, MainDegree, MainCoefficients, PolynomialPart, WeierstrassPreparation, Add, Subtract, Multiply;

    local TRD_polynomial_coefficient, TRDterm, TRDterms, TRDhomogeneous_part_of_polynomial, TRDtruncate_polynomial, TRDmake_upops_from_polynomial, TRDmake_upops_from_array, TRDmake_upops_from_list, TRDrename_upops, TRDone, TRDzero, TRDdisplay, TRDdegree, TRDdata, TRDweierstrass_preparation, TRDweierstrass_iteration_step, TRDsum, TRDsub, TRDproduct, TRDpolynomial_part;

$include <polynomialroutines.mpl>
$include <UPoPS_create.mpl>
$include <UPoPS_arithmeticoperations.mpl>
$include <UPoPS_userinterface.mpl>

    end module;
end proc;
